import { Construct, NestedStack } from '@aws-cdk/core';
import { GraphQLApi, AuthorizationConfig } from '@aws-cdk/aws-appsync';
import { Table } from '@aws-cdk/aws-dynamodb';
export interface AppSyncTransformerProps {
    readonly schemaPath: string;
    readonly authorizationConfig?: AuthorizationConfig;
    readonly apiName?: string;
    readonly syncEnabled?: boolean;
}
export declare class AppSyncTransformer extends Construct {
    readonly appsyncAPI: GraphQLApi;
    readonly nestedAppsyncStack: NestedStack;
    readonly tableNameMap: any;
    private isSyncEnabled;
    private syncTable;
    constructor(scope: Construct, id: string, props: AppSyncTransformerProps);
    private createNoneDataSourceAndResolvers;
    private createTablesAndResolvers;
    private createTable;
    createSyncTable(tableData: any): Table;
    private convertAttributeType;
    private convertProjectionType;
    private getTableNameFromFieldName;
}
